Name: reiserfs-utils
Version: 3.6.4
Release: alt1

%define realname reiserfsprogs
%define srcname %realname-%version
%define _libdir /lib
%define _sbindir /sbin

Summary: The ReiserFS filesystem utilities
License: GPL
Group: System/Kernel and hardware
Url: http://www.namesys.com/
Serial: 1

Requires: libreiserfs = %version-%release

Source: ftp://ftp.namesys.com/pub/%realname/%srcname.tar.bz2
Source1: reiserfs-utils-wrapper

Patch1: %realname-3.6.4-re.patch
Patch10: reiserfs-3.5.32-patch.bz2
Patch11: reiserfs-3.5.27-force.patch
Patch12: reiserfs-3.5.27-tmpnam.patch
Patch13: reiserfsprogs-3.x.0h-shutup.patch 
Patch14: reiserfsprogs-3.6.4-nodebug.patch

%package -n libreiserfs
Summary: Shared libraries for the reiserfs filesystem utilities
License: GPL
Group: System/Libraries
Conflicts: %name < %version-%release

%package -n libreiserfs-devel
Summary: Include files for development reiserfs filesystem utilities
License: GPL
Group: Development/C
Requires: libreiserfs = %version-%release

%package -n libreiserfs-devel-static
Summary: Static libraries for development reiserfs filesystem utilities
License: GPL
Group: Development/C
Requires: libreiserfs-devel = %version-%release

%description
This package contains ReiserFS utilities:
+ mkreiserfs: creates a reiserfs filesystem;
+ reiserfsck: checks and corrects a reiserfs filesystem for inconsistencies;
+ resize_reiserfs: resizes a reiserfs filesystem;
+ debugreiserfs: dumps reiserfs filesystem;
+ unpackreiserfs: restores reiserfs filesystem dumped with debugreiserfs.

%description -n libreiserfs
This package contains shared libraries required for reiserfs filesystem utilities.

%description -n libreiserfs-devel
This package contains include files required for development reiserfs
filesystem utilities.

%description -n libreiserfs-devel-static
This package contains static libraries required for development
reiserfs filesystem utilities.

%prep
%setup -q -n %srcname
%patch1 -p1

mkdir 3.5.x
pushd 3.5.x
%patch10 -p3
%patch11 -p0
%patch12 -p0
popd

%patch13 -p1
%patch14 -p1

%build
libtoolize --copy --force
aclocal
autoconf
autoheader
automake --add-missing --foreign --copy
autoconf
%configure --without-pic

%make_build
make -C 3.5.x/utils CFLAGS="$RPM_OPT_FLAGS -c -I\$(INCLUDEDIR) -I%_includedir/linux -I-"

%install
install -p -m755 -D %SOURCE1 $RPM_BUILD_ROOT%_sbindir/reiserfs-utils-wrapper

# 3.5.x
%make_install install -C 3.5.x/utils SBIN=$RPM_BUILD_ROOT%_sbindir MANDIR=$RPM_BUILD_ROOT%_mandir/man8
for n in mkreiserfs reiserfsck resize_reiserfs; do
	mv "$RPM_BUILD_ROOT%_sbindir/$n" "$RPM_BUILD_ROOT%_sbindir/$n-3.5.x"
done

# 3.6.x
%makeinstall
mv $RPM_BUILD_ROOT%_sbindir/unpack $RPM_BUILD_ROOT%_sbindir/unpackreiserfs
ln -s /bin/true $RPM_BUILD_ROOT/sbin/fsck.reiserfs
for n in mkreiserfs reiserfsck resize_reiserfs; do
	mv "$RPM_BUILD_ROOT%_sbindir/$n" "$RPM_BUILD_ROOT%_sbindir/$n-3.6.x"
	ln -s reiserfs-utils-wrapper "$RPM_BUILD_ROOT%_sbindir/$n"
done

mkdir -p $RPM_BUILD_ROOT%_includedir/reiserfs
install -p -m644 include/*.h $RPM_BUILD_ROOT%_includedir/reiserfs

mkdir -p $RPM_BUILD_ROOT%prefix/lib
mv $RPM_BUILD_ROOT%_libdir/*.{so,*a} $RPM_BUILD_ROOT%prefix/lib
install -p -m644 include/*.h $RPM_BUILD_ROOT%_includedir/reiserfs

ln -sf ../../lib/libreiserfs_core.so.0.0.0 $RPM_BUILD_ROOT%prefix/lib/libreiserfs_core.so
ln -sf ../../lib/libreiserfs_misc.so.0.0.0 $RPM_BUILD_ROOT%prefix/lib/libreiserfs_misc.so

%post -n libreiserfs -p /sbin/ldconfig
%postun -n libreiserfs -p /sbin/ldconfig

%files
%_sbindir/*
%_mandir/man?/*
%doc README ChangeLog

%files -n libreiserfs
%_libdir/*.so.*

%files -n libreiserfs-devel
%prefix/lib/*.so
%_includedir/*

%files -n libreiserfs-devel-static
%prefix/lib/*.*a

%changelog
* Wed Dec 25 2002 Konstantin Volckov <goldhead@altlinux.ru> 1:3.6.4-alt1
- 3.6.4
- Fixed re patch
- Added devel-static library

* Wed Mar 20 2002 Stanislav Ievlev <inger@altlinux.ru> 3.x.0h-ipl5
- Added shutup patch for shrinker.
- Fixed symlinks in devel subpackage.
- Fixed package dependencies.

* Fri Mar 30 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.x.0h-ipl3
- Updated reiserfs 3.5.x to 3.5.32.

* Sun Mar 18 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.x.0h-ipl2
- Added support for reiserfs 3.5.x.

* Sun Mar 11 2001 Dmitry V. Levin <ldv@fandra.org> 3.x.0h-ipl1
- 3.x.0h

* Fri Mar 09 2001 Dmitry V. Levin <ldv@fandra.org> 3.x.0g-ipl1
- Libtoolization.
- Libification.
- 3.x.0g

* Fri Mar 02 2001 Dmitry V. Levin <ldv@fandra.org> 3.6.25-ipl1
- 3.6.25 (source 3.x.0b, progs 3.x.0d).

* Wed Dec 20 2000 Dmitry V. Levin <ldv@fandra.org> 3.5.29-ipl1
- Initial revision.
